./devel/p5-CPAN-Meta-Requirements, Set of version requirements for a CPAN dist

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.140nb1, Package name: p5-CPAN-Meta-Requirements-2.140nb1, Maintainer: pkgsrc-users

A CPAN::Meta::Requirements object models a set of version constraints like
those specified in the META.yml or META.json files in CPAN distributions.
It can be built up by adding more and more constraints, and it will reduce
them to the simplest representation.

Logically impossible constraints will be identified immediately by thrown
exceptions.


Required to run:
[lang/perl5]

Master sites: (Expand)

SHA1: 8dad15fa876859a175680550fe68dc09e9f3c118
RMD160: fde90a5c0239a795ec8a1310ae0231341c6878d4
Filesize: 30.801 KB

Version history: (Expand)


CVS history: (Expand)


   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-01-01 04:48:44 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 2.140

Upstream changes:
2.140     2015-12-12 16:17:15-05:00 America/New_York

    - no changes from 2.139

2.139     2015-12-11 12:42:44-05:00 America/New_York (TRIAL RELEASE)

    - expanded dist.ini from author bundle to individual plugins

2.138     2015-07-13 22:32:37-04:00 America/New_York (TRIAL RELEASE)

    - repackage with fixed tests

2.137     2015-07-09 09:53:32-04:00 America/New_York (TRIAL RELEASE)

    - much better error messages, explaining what conflicted and how

2.136     2015-06-08 21:35:27-06:00 America/Denver (TRIAL RELEASE)

    [FIXED]

    - On Perls before 5.8.1, pad 1-part and 2-part literal v-strings
      to avoid old version.pm bugs with v-strings less than 3 characters

    - Protect internal _isa_version from non-refs that pass
      ->isa('version')

2.135     2015-05-19 13:15:35-04:00 America/New_York (TRIAL RELEASE)

    [TESTING]

    - Skips impossible tests on Perls earlier than 5.8.0 (before
      v-string magic).

2.134     2015-04-18 13:20:56+02:00 Europe/Berlin (TRIAL RELEASE)

    [ADDED]

    - Added method for getting structured requirements
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-03-01 10:01:02 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update to 2.133
---------------
2.133     2015-02-22 06:35:34-05:00 America/New_York
    [FIXED]
    - In fixing preservation of "0.00", some Module => 0 \ 
optimizations were
      lost; this restores those optimizations
   2015-01-26 07:57:14 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update 2.130 to 2.132
---------------------
2.132     2015-01-22 17:09:19-05:00 America/New_York
    [FIXED]
    - Precision of version requirement "0.00" is preserved when merging
      requirements.

2.131     2014-12-23 15:04:19-05:00 America/New_York
    [ENHANCEMENTS]
    - Merging Module => 0 into requirements is now optimized

    [PREREQS]
    - Scalar::Utils removed as a prerequisite
   2014-11-23 14:04:48 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update to 2.130:

2.130     2014-11-19 23:25:46-05:00 America/New_York

    [ADDED]

    - from_string_hash can take optional constructor arguments

    [CHANGED]

    - bad_version_hook callback gets module name as well as version string

    - undefined/empty versions given to from_string_hash or
      add_string_requirement now carp and are coerced to "0" instead of
      being fatal.  This is more consistent with how the other requirement
      functions work.
   2014-11-16 13:13:09 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update to 2.129:

2.129     2014-11-13 16:28:45-05:00 America/New_York

    [FIXED]

    - from_string_hash can now accept v-strings as hash values